Bug 1802229 - Unable to save bookmarks for task search queries in Satellite 6.7 beta.
Summary: Unable to save bookmarks for task search queries in Satellite 6.7 beta.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Tasks Plugin
Version: 6.7.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: 6.7.0
Assignee: Adam Ruzicka
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-12 16:20 UTC by Kaushik Sajjan Agarwal
Modified: 2020-04-14 13:28 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-foreman-tasks-0.17.5.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 29003 Normal Closed Unable to save bookmarks for task search queries in Satellite 6.7 beta. 2020-08-19 02:30:54 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:53 UTC

Description Kaushik Sajjan Agarwal 2020-02-12 16:20:57 UTC
Description of problem:
Unable to save bookmarks for task search queries in Satellite GUI.

Version-Release number of selected component (if applicable):
Red Hat Satellite 6.7 - Beta

How reproducible:
Always

Steps to Reproduce:
1. Navigate to the Monitor >> Tasks in the Satellite GUI.
2. Enter any search query and try to save the search query as a bookmark.
3. When we click on Save, nothing happens.

Actual results: 

1. Nothing happens. No bookmark saved.


2. Observed following error traceback as below:

---
 2020-02-12T11:09:47 [I|app|a37719a7] Started POST "/api/bookmarks" for 10.76.0.14 at 2020-02-12 11:09:47 -0500
2020-02-12T11:09:47 [I|app|a37719a7] Processing by Api::V2::BookmarksController#create as JSON
2020-02-12T11:09:47 [I|app|a37719a7]   Parameters: {"name"=>"test", "query"=>"state = scheduled ", "public"=>true, "apiv"=>"v2", "bookmark"=>{"name"=>"test", "query"=>"state = scheduled ", "controller"=>"api/v2/bookmarks", "public"=>true}}
2020-02-12T11:09:47 [E|app|a37719a7] Unprocessable entity Bookmark (id: new):
  Controller tasks is not a valid controller

2020-02-12T11:09:47 [I|app|a37719a7]   Rendering api/v2/errors/unprocessable_entity.json.rabl within api/v2/layouts/error_layout
2020-02-12T11:09:47 [I|app|a37719a7]   Rendered api/v2/errors/unprocessable_entity.json.rabl within api/v2/layouts/error_layout (4.3ms)
2020-02-12T11:09:47 [I|app|a37719a7] Completed 422 Unprocessable Entity in 71ms (Views: 23.6ms | ActiveRecord: 14.5ms)
2020-02-12T11:09:52 [I|app|73ff56db] Started POST "/api/bookmarks" for 10.76.0.14 at 2020-02-12 11:09:52 -0500
2020-02-12T11:09:52 [I|app|73ff56db] Processing by Api::V2::BookmarksController#create as JSON
2020-02-12T11:09:52 [I|app|73ff56db]   Parameters: {"name"=>"test", "query"=>"state = scheduled ", "public"=>false, "apiv"=>"v2", "bookmark"=>{"name"=>"test", "query"=>"state = scheduled ", "controller"=>"api/v2/bookmarks", "public"=>false}}
2020-02-12T11:09:52 [E|app|73ff56db] Unprocessable entity Bookmark (id: new):
  Controller tasks is not a valid controller
---

Expected results:

We should be able to save the search query as a bookmark.

Comment 5 Adam Ruzicka 2020-02-13 15:18:31 UTC
Created redmine issue https://projects.theforeman.org/issues/29003 from this bug

Comment 6 Bryan Kearney 2020-02-17 09:01:02 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 7 Bryan Kearney 2020-02-17 09:01:06 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 8 Adam Ruzicka 2020-02-26 15:49:12 UTC
PR with the fix was merged in upstream, moving to POST.

Comment 13 Peter Ondrejka 2020-03-09 09:20:03 UTC
Verified on satellite 6.7 snap 15, bookmark can be successfully saved and applied on the tasks page. The public setting for the bookmark is honoured.

Comment 16 errata-xmlrpc 2020-04-14 13:28:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.